Subject: bug#40992: 27.0.90; Evaluating a function while using edebug breaks

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 May 2020 21:02:28 +0300

> Date: Fri, 1 May 2020 17:33:06 +0000
> From: Alan Mackenzie <[email-masked]>
> Cc: [email-masked]
> 
> There doesn't appear to be a good way of solving this bug.  A workable
> workaround would be to check that the 'edebug property value is a list
> in edebug--overlay-breakpoints, and just to remove the breakpoint
> highlights when it's not a list.  When it's not a list, it's a marker
> pointing to the start of the function, from which the end of the
> function can be found, to serve as the END argument to
> edebug--overlay-breakpoints-remove.
> 
> Or something like that.  :-(

How about if we revert the offending commit on emacs-27?  The feature
it adds doesn't sound important enough when compared to the breakage
it causes.